
Foreman - Feature #10286

Default PXE Menu should be isolated

04/28/2015 04:19 AM - Stephen Benjamin

Status: New   

Priority: High   

Assignee: Phirince Philip   

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Make the Smart Proxy available as @proxy so communication can be isolated (for host group provisioning, discovery, etc)

Related issues:

Related to Katello - Tracker #8172: Isolate Client Communication through a Ca... New

Related to Discovery - Feature #12221: Render default PXELinux configuration ... New 10/20/2015

Blocks Discovery - Feature #10244: Isolation through Proxy should work on mor... New

History

#1 - 04/28/2015 04:19 AM - Stephen Benjamin

- Related to Tracker #8172: Isolate Client Communication through a Capsule added

#2 - 04/28/2015 04:48 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2268 added

- Pull request deleted ()

#3 - 06/12/2015 10:24 AM - Dominic Cleal

- Blocks Feature #10244: Isolation through Proxy should work on more than one Smart Proxy added

#4 - 09/08/2015 09:51 AM - Stephen Benjamin

- Pull request https://github.com/theforeman/foreman/pull/2327 added

- Pull request deleted (https://github.com/theforeman/foreman/pull/2268)

#5 - 09/08/2015 09:53 AM - Stephen Benjamin

- Status changed from Ready For Testing to New

- Pull request  added

- Pull request deleted (https://github.com/theforeman/foreman/pull/2327)

I don't have the bandwidth to keep fixing the endless issues with host group provisioning.  If it needs fixing, it should be a feature team and allocated

resources, otherwise we rely on fact-based discovery.

#6 - 09/11/2015 04:55 AM - Phirince Philip

- Assignee set to Phirince Philip

#7 - 11/13/2015 06:39 AM - Dominic Cleal

- Related to Feature #12221: Render default PXELinux configuration for Discovery added

#8 - 12/21/2018 12:47 PM - Lukas Zapletal

- Tracker changed from Bug to Feature
- Priority changed from Normal to High

- Triaged changed from No to Yes

An attempt that https://github.com/theforeman/foreman/pull/2327/files did not make it.
